{pkgs, ...}: {
  programs.nixvim = {
    enable = true;
    colorschemes.base16 = {
      enable = true;
      colorscheme = "darkmoss";
      setUpBar = false;
    };
    clipboard = {
    	providers.wl-copy.enable = true;
			register = "unnamedplus";
    };
    options = {
      number = true;
      relativenumber = true;
      tabstop = 2;
      shiftwidth = 2;
      expandtab = false;
			scrolloff = 5;
			autoindent = true;
			copyindent = true;
			signcolumn = "yes";
			cursorline = true;
			showmode = false;
    };
		plugins = {
			lightline = {
				enable = true;
			};
			gitsigns = {
				enable = true;
			};
		};
  };
}
